| Home | Libraries | People | FAQ | More

## Function swap

boost::swap

## Synopsis

    // In header: <boost/any.hpp>

    void swap(any & lhs, any & rhs);

## Description

Effects: | Exchange of the contents of `lhs` and `rhs`.
Throws: | Nothing.

| Copyright © 2001 Kevlin Henney Copyright © 2013-2019 Antony Polukhin Distributed under the Boost Software License, Version 1.0. (See accompanying file `LICENSE_1_0.txt` or copy at http://www.boost.org/LICENSE_1_0.txt)